# -*- coding: utf-8 -*-
from __future__ import unicode_literals
from . import __version__ as app_version

app_name = "influxframework_helper"
app_title = "InfluxFramework Helper"
app_publisher = "Quantum Bit Core"
app_description = "InfluxFramework Helper"
app_icon = "octicon octicon-file-directory"
app_color = "grey"
app_email = "quantumbitcore.io@gmail.com"
app_license = "MIT"

app_include_css = [
	"/assets/influxframework_helper/css/desk-form.css",
    "/assets/influxframework_helper/css/influxframework-helper.css",
    "/assets/influxframework_helper/css/num-pad.css",
]

after_migrate = "influxframework_helper.setup.install.after_install"
after_install = "influxframework_helper.setup.install.after_install"

# Includes in <head>
# ------------------

# include js, css files in header of desk.html
app_include_js = [
    "/assets/influxframework_helper/js/jshtml-class.js",
    "/assets/influxframework_helper/js/num-pad-class.js",
    "/assets/influxframework_helper/js/desk-modal.js",
    "/assets/influxframework_helper/js/influxframework-helper-api.js",
    "/assets/influxframework_helper/js/influxframework-form-class.js",
    "/assets/influxframework_helper/js/desk-form-class.js"
]


# Includes in <head>
# ------------------

# include js, css files in header of desk.html
# app_include_css = "/assets/influxframework_helper/css/influxframework_helper.css"
# app_include_js = "/assets/influxframework_helper/js/influxframework_helper.js"

# include js, css files in header of web template
# web_include_css = "/assets/influxframework_helper/css/influxframework_helper.css"
# web_include_js = "/assets/influxframework_helper/js/influxframework_helper.js"

# include custom scss in every website theme (without file extension ".scss")
# website_theme_scss = "influxframework_helper/public/scss/website"

# include js, css files in header of web form
# webform_include_js = {"doctype": "public/js/doctype.js"}
# webform_include_css = {"doctype": "public/css/doctype.css"}

# include js in page
# page_js = {"page" : "public/js/file.js"}

# include js in doctype views
# doctype_js = {"doctype" : "public/js/doctype.js"}
# doctype_list_js = {"doctype" : "public/js/doctype_list.js"}
# doctype_tree_js = {"doctype" : "public/js/doctype_tree.js"}
# doctype_calendar_js = {"doctype" : "public/js/doctype_calendar.js"}

# Home Pages
# ----------

# application home page (will override Website Settings)
# home_page = "login"

# website user home page (by Role)
# role_home_page = {
#	"Role": "home_page"
# }

# Generators
# ----------

# automatically create page for each record of this doctype
# website_generators = ["Web Page"]

# Installation
# ------------

# before_install = "influxframework_helper.install.before_install"
# after_install = "influxframework_helper.install.after_install"

# Desk Notifications
# ------------------
# See influxframework.core.notifications.get_notification_config

# notification_config = "influxframework_helper.notifications.get_notification_config"

# Permissions
# -----------
# Permissions evaluated in scripted ways

# permission_query_conditions = {
# 	"Event": "influxframework.desk.doctype.event.event.get_permission_query_conditions",
# }
#
# has_permission = {
# 	"Event": "influxframework.desk.doctype.event.event.has_permission",
# }

# DocType Class
# ---------------
# Override standard doctype classes

# override_doctype_class = {
# 	"ToDo": "custom_app.overrides.CustomToDo"
# }

# Document Events
# ---------------
# Hook on document methods and events

# doc_events = {
# 	"*": {
# 		"on_update": "method",
# 		"on_cancel": "method",
# 		"on_trash": "method"
#	}
# }

# Scheduled Tasks
# ---------------

# scheduler_events = {
# 	"all": [
# 		"influxframework_helper.tasks.all"
# 	],
# 	"daily": [
# 		"influxframework_helper.tasks.daily"
# 	],
# 	"hourly": [
# 		"influxframework_helper.tasks.hourly"
# 	],
# 	"weekly": [
# 		"influxframework_helper.tasks.weekly"
# 	]
# 	"monthly": [
# 		"influxframework_helper.tasks.monthly"
# 	]
# }

# Testing
# -------

# before_tests = "influxframework_helper.install.before_tests"

# Overriding Methods
# ------------------------------
#
# override_whitelisted_methods = {
# 	"influxframework.desk.doctype.event.event.get_events": "influxframework_helper.event.get_events"
# }
#
# each overriding function accepts a `data` argument;
# generated from the base implementation of the doctype dashboard,
# along with any modifications made in other InfluxFramework apps
# override_doctype_dashboards = {
# 	"Task": "influxframework_helper.task.get_dashboard_data"
# }

# exempt linked doctypes from being automatically cancelled
#
# auto_cancel_exempted_doctypes = ["Auto Repeat"]


# User Data Protection
# --------------------

user_data_fields = [
	{
		"doctype": "{doctype_1}",
		"filter_by": "{filter_by}",
		"redact_fields": ["{field_1}", "{field_2}"],
		"partial": 1,
	},
	{
		"doctype": "{doctype_2}",
		"filter_by": "{filter_by}",
		"partial": 1,
	},
	{
		"doctype": "{doctype_3}",
		"strict": False,
	},
	{
		"doctype": "{doctype_4}"
	}
]

